%global __requires_exclude typelib\\(Unity\\)

Name:           autokey
Version:        0.95.10
Release:        %mkrel 2
Summary:        Desktop automation utility


Group:          Graphical desktop/Other
License:        GPLv3
URL:            https://github.com/autokey/autokey
Source0:        https://github.com/autokey/autokey/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-Port-to-Ayatana-AppIndicator.patch

BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-xlib
BuildRequires:  python3-pyinotify
BuildRequires:  python3-dbus
BuildRequires:  python3-setuptools
BuildRequires:  python3-qt5-devel
BuildRequires:  python3-qt5-qscintilla

Requires:       python3-pyinotify
Provides:       autokey = %{version}-%{release}
Provides:       autokey-common = %{version}-%{release}
Provides:       autokey-gtk = %{version}-%{release}


%description
AutoKey is a desktop automation utility for Linux and X11. It allows
the automation of virtually any task by responding to typed abbreviations
and hot keys. It offers a full-featured GUI that makes it highly
accessible for novices, as well as a scripting interface offering
the full flexibility and power of the Python language.

%package common
Summary:        Desktop automation utility - common data
Group:          Graphical desktop/Other
Requires:       python3-dbus
Requires:       python3-pyinotify
Requires:       python3-xlib
Requires:       wmctrl
Provides:       autokey = %{version}-%{release}


%description common
This package contains the common data shared between the various front ends.


%package gtk
Summary:        AutoKey GTK+ front end
Group:          Graphical desktop/Other
Requires:       python3-gobject3
Requires:       zenity
Requires:       autokey-common = %{version}-%{release}
Provides:       autokey = %{version}-%{release}

%description gtk
This package contains the GTK+ front end for autokey.


%package qt
Summary:        AutoKey Qt front end
Group:          Graphical desktop/Other
Requires:       python3-qt5-core
Requires:       python3-qt5-dbus
Requires:       python3-qt5-gui
Requires:       python3-qt5-widgets
Requires:       python3-qt5-qscintilla
Requires:       autokey-common = %{version}-%{release}
Provides:       autokey = %{version}-%{release}

%description qt
This package contains the Qt front end for autokey.


%prep
%setup -q
%autopatch -p1

%build
%py3_build


%install
%py3_install

# remove shebang from python libraries
for lib in $(find %{buildroot}%{python3_sitelib}/autokey/ -name "*.py"); do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

# ensure pkg_resources is able to find the required python packages
sed -i 's/python3-xlib/python-xlib/' %{buildroot}%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info/requires.txt

%files common
%doc ACKNOWLEDGMENTS README.rst new_features.rst CHANGELOG.rst
%dir %{python3_sitelib}/autokey
%{python3_sitelib}/autokey/*.py*
%{python3_sitelib}/autokey-*.egg-info
%{python3_sitelib}/autokey/__pycache__/
%{python3_sitelib}/autokey/iomediator/
%exclude %{python3_sitelib}/autokey/gtkapp.py*
%exclude %{python3_sitelib}/autokey/gtkui/
%exclude %{python3_sitelib}/autokey/__pycache__/gtkapp.*
%exclude %{python3_sitelib}/autokey/qtapp.py*
%exclude %{python3_sitelib}/autokey/qtui/
%exclude %{python3_sitelib}/autokey/__pycache__/qtapp.*
%{_datadir}/icons/hicolor/scalable/apps/autokey-status*.svg
%{_datadir}/icons/hicolor/*/apps/autokey.png
%{_datadir}/icons/hicolor/scalable/apps/autokey.svg
%{_datadir}/icons/ubuntu-mono-dark/apps/*
%{_datadir}/icons/ubuntu-mono-light/apps/*
%{_datadir}/icons/Humanity/scalable/apps/*.svg
%{_bindir}/autokey-run
%{_bindir}/autokey-shell
%{_mandir}/man1/autokey-run.1*

%files gtk
%{_bindir}/autokey-gtk
%{python3_sitelib}/autokey/gtkapp.py*
%{python3_sitelib}/autokey/gtkui/
%{python3_sitelib}/autokey/__pycache__/gtkapp.*
%{_datadir}/applications/autokey-gtk.desktop
%{_mandir}/man1/autokey-gtk.1*

%files qt
%{_bindir}/autokey-qt
%{python3_sitelib}/autokey/qtapp.py*
%{python3_sitelib}/autokey/qtui/
%{python3_sitelib}/autokey/__pycache__/qtapp.*
%{_datadir}/applications/autokey-qt.desktop
%{_mandir}/man1/autokey-qt.1*


%changelog
* Wed Aug 05 2020 wally <wally> 0.95.10-2.mga8
+ Revision: 1611339
- port to Ayatana AppIndicator

* Fri Feb 28 2020 shlomif <shlomif> 0.95.10-1.mga8
+ Revision: 1551616
- New version 0.95.10

* Thu Feb 20 2020 umeabot <umeabot> 0.95.9-2.mga8
+ Revision: 1546520
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 0.95.9-1.mga8
+ Revision: 1486699
- new version: 0.95.9

* Sat Sep 14 2019 daviddavid <daviddavid> 0.95.7-2.mga8
+ Revision: 1440740
- rebuild for python3.8

* Sat Jun 29 2019 shlomif <shlomif> 0.95.7-1.mga8
+ Revision: 1415979
- New version 0.95.7

* Mon Apr 15 2019 daviddavid <daviddavid> 0.95.6-1.mga7
+ Revision: 1390574
- new version: 0.95.6

* Wed Jan 09 2019 daviddavid <daviddavid> 0.95.4-3.mga7
+ Revision: 1353053
- rebuild for new Python 3.7

* Sun Dec 23 2018 daviddavid <daviddavid> 0.95.4-2.mga7
+ Revision: 1344582
- remove unused python2-gtksourceview dependency

* Sun Dec 23 2018 daviddavid <daviddavid> 0.95.4-1.mga7
+ Revision: 1344576
- new version: 0.95.4

* Tue Sep 25 2018 daviddavid <daviddavid> 0.95.2-1.mga7
+ Revision: 1305056
- new version: 0.95.2
- switch to Python3 and PyQt5
- update URL and Source URL

* Tue Sep 18 2018 umeabot <umeabot> 0.90.4-10.mga7
+ Revision: 1261973
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.90.4-9.mga7
+ Revision: 1260110
- Mageia 7 Mass Rebuild

* Fri Feb 19 2016 umeabot <umeabot> 0.90.4-8.mga6
+ Revision: 970222
- Mageia 6 Mass Rebuild

* Tue Sep 29 2015 shlomif <shlomif> 0.90.4-7.mga6
+ Revision: 885080
- Add missing Requires ( MGA#16854 )

* Sun Sep 27 2015 shlomif <shlomif> 0.90.4-6.mga6
+ Revision: 884254
- Remove a no-longer available "Requires."
- Perhaps it will be viable to switch to https://github.com/guoci/autokey-py3
  once it has a Qt 5 port.

* Wed Oct 15 2014 umeabot <umeabot> 0.90.4-5.mga5
+ Revision: 743763
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.90.4-4.mga5
+ Revision: 725975
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.90.4-3.mga5
+ Revision: 678062
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sat May 31 2014 pterjan <pterjan> 0.90.4-2.mga5
+ Revision: 628110
- Rebuild for new Python

* Fri Apr 11 2014 shlomif <shlomif> 0.90.4-1.mga5
+ Revision: 613430
- Change the RPM Group
- Correct a typo in the name
- Various Requires/BuildRequires fixes
- Importing autokey based on the Fedora SRPM



* Mon Sep 16 2013 Raghu Udiyar <raghusiddarth@gmail.com> - 0.90.4-5
- Updated pygtksourceview dependency to gtksourceview3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.90.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.90.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.90.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 17 2012 Raghu Udiyar <raghusiddarth@gmail.com> 0.90.4-1
- Update to upstream 0.90-4 release
- Qt interface is back with major updates to both frontends
- Back to the old split package structure

* Tue Jan 10 2012 Matěj Cepl <mcepl@redhat.com> 0.81.4-1
- Upgrade to the latest upstream package.

* Tue Nov 22 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.81.0-2
- Add autokey-run files to the package

* Tue Nov 22 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.81.0-1
- Update to upstream 0.81.0 release
- Changelog : http://code.google.com/p/autokey/source/browse/trunk/debian/changelog?r=408

* Wed Oct 26 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.80.3-1
- Update to upstream 0.80.3 release
- Changelog : http://code.google.com/p/autokey/source/browse/trunk/debian/changelog?spec=svn379&r=379

* Sat Oct 8 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.80.2-1
- Update to upstream 0.80.2 release
- Qt interface deprecated and removed
- Change package structure and remove qt subpackage/files
- Updated application icon
- Full changelog : http://code.google.com/p/autokey/source/browse/trunk/debian/changelog?spec=svn376&r=376

* Thu Jul 21 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.3-4
- Update to upstream 0.71.3-2 release
- Source tarball now extracts to "autokey-version" instead of "build" directory
- The README file now explicitly mentions the licence
- Drop defattr from the spec since recent RPM makes it redundant

* Fri Jul 15 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.3-3
- Add build requirement for desktop-file-utils
- Require pygtksourceview for gtk frontend
- Require qscintilla-python for qt frontend

* Wed May 25 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.3-2
- Improve spec readability

* Tue Apr 19 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.3-1
- Update to upstream 0.71.3 release

* Sun Mar 13 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-6
- Add desktop-file-validate

* Sun Mar 06 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-5
- Remove Python-xlib dependency
- Add doc/scripting to docs

* Fri Mar 04 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-4
- Remove deprecated daemon, see : http://code.google.com/p/autokey/issues/detail?id=106

* Wed Feb 28 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-3
- Add script to remove shebang from python libraries
- Remove default start from initscript
- Add patch to use lockfile in initscript

* Wed Feb 02 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-2
- Add postun scriptlet to handle upgrades
- Set autokey service to start only in runlevel 5

* Sat Jan 30 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-1
- Update to upstream 0.71.2 release
- Add COPYING file to docs
- Update init script to match upstream

* Sat Dec 18 2010 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.1-1
- Update to upstream 0.71.1 release

* Fri Oct 01 2010 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.0-1
- Initial version of the package
